//
// EC restyle settings
//

@use "../../node_modules/@ecl/preset-ec/dist/styles/ecl-ec.css";

body {
  font: normal normal 400 1rem/1.5rem arial, sans-serif;

  --dsd-right-column-width: 40%;
}

// UX Scan improvements 

a:active {
  border: 2px solid #FFD617;
}

.close {
  color: #0e47cb !important;
  position: absolute;
    right: 30px;
}

.input-with-px input {
  border-radius: 5px !important;
}

.ecl-text-area {
  border-radius: 5px !important;
}

.modal-content {
  border-radius: 30px !important;
  padding: 2rem 2.125rem 2.12rem !important;
}

.close-icon {
  background: #0e47cb !important;
}

.copy-text {
  margin-left: 5px;
}

.ecl-checkbox__box:checked {
  background: #0e47cb !important;
  border-color: #0e47cb !important ;
  }

// End of improvements

.dsd-nav-button a:active {
  border: 0 !important;
}

.show-more {
  padding-left: 0 !important;
  font-weight: initial;
}

body .content.container-fluid {
  @extend .ecl-container;
}

.ecl-button{
  border-radius: .25rem;
}

.ecl-button:hover{
  background-color: #3e6cd5;
  color: #fff !important;
  border-color: #3e6cd5 !important;
}

.ecl-button--primary {
  background-color: #0e47cb;
  color: #fff;
}

.ecl-button--secondary {
  background-color: #fff;
  border: 2px solid #0e47cb;
  color: #0e47cb;
}

.dsd-banners .ecl-message.ecl-message--info{
  border-left: 4px solid #0e47cb !important;
  border-radius: 4px 0px 0px 4px;
  border: none;
  background-color: #f3f6fc;
}

.dsd-properties .ecl-button.show-more{
  border: 2px solid #0e47cb;
  border-radius: .25rem;
  color: #0e47cb !important;
  padding: calc(0.75rem - 2px) calc(1rem - 2px) !important;
  gap: 10px;
}

.dsd-properties .ecl-button.show-more:hover{
  border: 2px solid #0e47cb;
  border-radius: .25rem;
  color: #fff !important;
  padding: calc(0.75rem - 2px) calc(1rem - 2px) !important;
  gap: 10px;
}

.markdown-content{
  a{
    color: #0e47cb;
  }
}

.colorPrimary {
  color: var(--primary)
}

.page-title {
  font-size: 2rem !important;
  color: #404040;
  font-weight: bold !important;
}

.ec-ds-scope-text {
  height: 100% !important;
}

// .ecl-button__label{
//   color: #0e47cb;
// }

.ecl-select__icon{
  background-color: #0e47cb;
}

.ecl-select__container{
  border-radius: 4px;
  overflow: hidden;
}

.ecl-button--primary:active, .ecl-button--primary:hover {
  background-color: #0e47cb !important;
}

.ecl-button--secondary:active, .ecl-button--secondary:hover {
  border-color: #0e47cb !important;
  color: #fff !important;
  border-color: #3e6cd5 !important;
}

#subNavigation a {
  text-decoration: none !important;
}

#embedModal {
  text-decoration: underline !important;
}

.unknown {
  border-radius: 4px !important;
}



@media screen and (max-width: 767.5px) {

  .colorPrimarySort {
    color: var(--primary)
  }

   .ec-ds-scope-text {
    height: 48px !important;
  }

  .catalogs {
    width: 100% !important;
  }

  .blueBG-mobile-Cat {
    background-color: #F2F5F9;
    padding: 15px 30px 15px 30px !important;
    margin-left: -30px !important;
    margin-right: -30px !important;
  }

  .ec-ds-scope-dropdown {
    width: 100% !important;
  }

  .margin-0-mobile {
    margin: 0;
  }

  .ds-result-headline {
    margin-left: 0 !important;
    margin-top: 20px !important;
  }

  .ec-ds-search {
    border: 1px solid #0e47cb !important;
    width: 100% !important;
    margin-left: 0 !important;
  }

  .padding-0-mobile {
    padding: 0;
  }

  .ecl-select__icon-Sort {
    position: relative;
  }

  .catalog-facets {
    margin-bottom: 0 !important;
  }

  .dataset-info-box-body small {
    justify-content: flex-start !important;
    margin-bottom: 1rem;
  }

  .dataset-info-box:hover {
    box-shadow: none !important;
    cursor: pointer;
}

  .value-display {
    border-color: #0e47cb !important;
  }
}

.ecl-select__icon:hover{
  background-color: #0e47cb !important;
}

@import "./components-ec-style/dataset_details";
@import "./components-ec-style/data_info_box";
@import "./components-ec-style/dataset_details_similar_datasets";
@import "./components-ec-style/datasets";
@import "./components-ec-style/distributions";
@import "./components-ec-style/facets";
@import "./components-ec-style/catalogue_details";
@import "./components-ec-style/pagination";
@import "./components-ec-style/data_provider_interface";
